diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac.cc	2024-05-29 15:29:46.976073300 -0700
@@ -40,47 +40,49 @@
 
 #undef NS_LOG_APPEND_CONTEXT
 #define NS_LOG_APPEND_CONTEXT                                                                      \
-    std::clog << "[address " << m_shortAddress << " | " << m_selfExt << "] ";
+    std::clog << "[address " << m_shortAddress << " | " << m_macExtendedAddress << "] ";
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanMac");
 NS_OBJECT_ENSURE_REGISTERED(LrWpanMac);
 
 std::ostream&
-operator<<(std::ostream& os, const LrWpanMacState& state)
+operator<<(std::ostream& os, const MacState& state)
 {
     switch (state)
     {
-    case LrWpanMacState::MAC_IDLE:
+    case MacState::MAC_IDLE:
         os << "MAC IDLE";
         break;
-    case LrWpanMacState::MAC_CSMA:
+    case MacState::MAC_CSMA:
         os << "CSMA";
         break;
-    case LrWpanMacState::MAC_SENDING:
+    case MacState::MAC_SENDING:
         os << "SENDING";
         break;
-    case LrWpanMacState::MAC_ACK_PENDING:
+    case MacState::MAC_ACK_PENDING:
         os << "ACK PENDING";
         break;
-    case LrWpanMacState::CHANNEL_ACCESS_FAILURE:
+    case MacState::CHANNEL_ACCESS_FAILURE:
         os << "CHANNEL_ACCESS_FAILURE";
         break;
-    case LrWpanMacState::CHANNEL_IDLE:
+    case MacState::CHANNEL_IDLE:
         os << "CHANNEL IDLE";
         break;
-    case LrWpanMacState::SET_PHY_TX_ON:
+    case MacState::SET_PHY_TX_ON:
         os << "SET PHY to TX ON";
         break;
-    case LrWpanMacState::MAC_GTS:
+    case MacState::MAC_GTS:
         os << "MAC GTS PERIOD";
         break;
-    case LrWpanMacState::MAC_INACTIVE:
+    case MacState::MAC_INACTIVE:
         os << "SUPERFRAME INACTIVE PERIOD";
         break;
-    case LrWpanMacState::MAC_CSMA_DEFERRED:
+    case MacState::MAC_CSMA_DEFERRED:
         os << "CSMA DEFERRED TO NEXT PERIOD";
         break;
     }
@@ -172,7 +174,7 @@
                             "ns3::Packet::TracedCallback")
             .AddTraceSource("MacStateValue",
                             "The state of LrWpan Mac",
-                            MakeTraceSourceAccessor(&LrWpanMac::m_lrWpanMacState),
+                            MakeTraceSourceAccessor(&LrWpanMac::m_macState),
                             "ns3::TracedValueCallback::LrWpanMacState")
             .AddTraceSource("MacIncSuperframeStatus",
                             "The period status of the incoming superframe",
@@ -202,7 +204,7 @@
 LrWpanMac::LrWpanMac()
 {
     // First set the state to a known value, call ChangeMacState to fire trace source.
-    m_lrWpanMacState = MAC_IDLE;
+    m_macState = MAC_IDLE;
 
     ChangeMacState(MAC_IDLE);
 
@@ -214,7 +216,7 @@
     m_macCoordShortAddress = Mac16Address("ff:ff");
     m_macCoordExtendedAddress = Mac64Address("ff:ff:ff:ff:ff:ff:ff:ed");
     m_deviceCapability = DeviceType::FFD;
-    m_selfExt = Mac64Address::Allocate();
+    m_macExtendedAddress = Mac64Address::Allocate();
     m_macPromiscuousMode = false;
     m_macMaxFrameRetries = 3;
     m_retransmission = 0;
@@ -339,7 +341,7 @@
     NS_LOG_FUNCTION(this << rxOnWhenIdle);
     m_macRxOnWhenIdle = rxOnWhenIdle;
 
-    if (m_lrWpanMacState == MAC_IDLE)
+    if (m_macState == MAC_IDLE)
     {
         if (m_macRxOnWhenIdle)
         {
@@ -363,7 +365,7 @@
 LrWpanMac::SetExtendedAddress(Mac64Address address)
 {
     NS_LOG_FUNCTION(this << address);
-    m_selfExt = address;
+    m_macExtendedAddress = address;
 }
 
 Mac16Address
@@ -377,7 +379,7 @@
 LrWpanMac::GetExtendedAddress() const
 {
     NS_LOG_FUNCTION(this);
-    return m_selfExt;
+    return m_macExtendedAddress;
 }
 
 void
@@ -402,7 +404,7 @@
         // The frame could still be too large once headers are put on
         // in which case the phy will reject it instead
         NS_LOG_ERROR(this << " packet too big: " << p->GetSize());
-        confirmParams.m_status = LrWpanMacStatus::FRAME_TOO_LONG;
+        confirmParams.m_status = MacStatus::FRAME_TOO_LONG;
         if (!m_mcpsDataConfirmCallback.IsNull())
         {
             m_mcpsDataConfirmCallback(confirmParams);
@@ -413,7 +415,7 @@
     if ((params.m_srcAddrMode == NO_PANID_ADDR) && (params.m_dstAddrMode == NO_PANID_ADDR))
     {
         NS_LOG_ERROR(this << " Can not send packet with no Address field");
-        confirmParams.m_status = LrWpanMacStatus::INVALID_ADDRESS;
+        confirmParams.m_status = MacStatus::INVALID_ADDRESS;
         if (!m_mcpsDataConfirmCallback.IsNull())
         {
             m_mcpsDataConfirmCallback(confirmParams);
@@ -440,7 +442,7 @@
     default:
         NS_LOG_ERROR(this << " Can not send packet with incorrect Source Address mode = "
                           << params.m_srcAddrMode);
-        confirmParams.m_status = LrWpanMacStatus::INVALID_ADDRESS;
+        confirmParams.m_status = MacStatus::INVALID_ADDRESS;
         if (!m_mcpsDataConfirmCallback.IsNull())
         {
             m_mcpsDataConfirmCallback(confirmParams);
@@ -467,7 +469,7 @@
     default:
         NS_LOG_ERROR(this << " Can not send packet with incorrect Destination Address mode = "
                           << params.m_dstAddrMode);
-        confirmParams.m_status = LrWpanMacStatus::INVALID_ADDRESS;
+        confirmParams.m_status = MacStatus::INVALID_ADDRESS;
         if (!m_mcpsDataConfirmCallback.IsNull())
         {
             m_mcpsDataConfirmCallback(confirmParams);
@@ -591,7 +593,7 @@
     if (GetShortAddress() == Mac16Address("ff:ff"))
     {
         NS_LOG_ERROR(this << " Invalid MAC short address");
-        confirmParams.m_status = LrWpanMacStatus::NO_SHORT_ADDRESS;
+        confirmParams.m_status = MacStatus::NO_SHORT_ADDRESS;
         if (!m_mlmeStartConfirmCallback.IsNull())
         {
             m_mlmeStartConfirmCallback(confirmParams);
@@ -601,7 +603,7 @@
 
     if ((params.m_bcnOrd > 15) || (params.m_sfrmOrd > params.m_bcnOrd))
     {
-        confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+        confirmParams.m_status = MacStatus::INVALID_PARAMETER;
         if (!m_mlmeStartConfirmCallback.IsNull())
         {
             m_mlmeStartConfirmCallback(confirmParams);
@@ -614,9 +616,9 @@
     m_pendPrimitive = MLME_START_REQ;
     m_startParams = params;
 
-    Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+    Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
     pibAttr->phyCurrentPage = m_startParams.m_logChPage;
-    m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentPage, pibAttr);
+    m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentPage, pibAttr);
 }
 
 void
@@ -628,11 +630,11 @@
     confirmParams.m_scanType = params.m_scanType;
     confirmParams.m_chPage = params.m_chPage;
 
-    if ((m_scanEvent.IsRunning() || m_scanEnergyEvent.IsRunning()) || m_scanOrphanEvent.IsRunning())
+    if ((m_scanEvent.IsPending() || m_scanEnergyEvent.IsPending()) || m_scanOrphanEvent.IsPending())
     {
         if (!m_mlmeScanConfirmCallback.IsNull())
         {
-            confirmParams.m_status = LrWpanMacStatus::SCAN_IN_PROGRESS;
+            confirmParams.m_status = MacStatus::SCAN_IN_PROGRESS;
             m_mlmeScanConfirmCallback(confirmParams);
         }
         NS_LOG_ERROR(this << " A channel scan is already in progress");
@@ -643,7 +645,7 @@
     {
         if (!m_mlmeScanConfirmCallback.IsNull())
         {
-            confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+            confirmParams.m_status = MacStatus::INVALID_PARAMETER;
             m_mlmeScanConfirmCallback(confirmParams);
         }
         NS_LOG_ERROR(this << "Invalid scan duration or unsupported scan type");
@@ -674,9 +676,9 @@
     m_scanParams = params;
     m_pendPrimitive = MLME_SCAN_REQ;
 
-    Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+    Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
     pibAttr->phyCurrentPage = params.m_chPage;
-    m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentPage, pibAttr);
+    m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentPage, pibAttr);
 }
 
 void
@@ -722,15 +724,15 @@
         {
             MlmeAssociateConfirmParams confirmParams;
             confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-            confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+            confirmParams.m_status = MacStatus::INVALID_PARAMETER;
             m_mlmeAssociateConfirmCallback(confirmParams);
         }
     }
     else
     {
-        Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+        Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
         pibAttr->phyCurrentPage = params.m_chPage;
-        m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentPage, pibAttr);
+        m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentPage, pibAttr);
     }
 }
 
@@ -867,9 +869,9 @@
 
     auto symbolRate = (uint64_t)m_phy->GetDataOrSymbolRate(false); // symbols per second
     // change phy current logical channel
-    Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+    Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
     pibAttr->phyCurrentChannel = params.m_logCh;
-    m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel, pibAttr);
+    m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel, pibAttr);
 
     // Enable Phy receiver
     m_phy->PlmeSetTRXStateRequest(IEEE_802_15_4_PHY_RX_ON);
@@ -877,7 +879,7 @@
     uint64_t searchSymbols;
     Time searchBeaconTime;
 
-    if (m_trackingEvent.IsRunning())
+    if (m_trackingEvent.IsPending())
     {
         m_trackingEvent.Cancel();
     }
@@ -915,17 +917,17 @@
 }
 
 void
-LrWpanMac::MlmeSetRequest(LrWpanMacPibAttributeIdentifier id, Ptr<LrWpanMacPibAttributes> attribute)
+LrWpanMac::MlmeSetRequest(MacPibAttributeIdentifier id, Ptr<MacPibAttributes> attribute)
 {
     MlmeSetConfirmParams confirmParams;
-    confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+    confirmParams.m_status = MacStatus::SUCCESS;
 
     switch (id)
     {
     case macBeaconPayload:
         if (attribute->macBeaconPayload->GetSize() > lrwpan::aMaxBeaconPayloadLength)
         {
-            confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+            confirmParams.m_status = MacStatus::INVALID_PARAMETER;
         }
         else
         {
@@ -934,20 +936,20 @@
         }
         break;
     case macBeaconPayloadLength:
-        confirmParams.m_status = LrWpanMacStatus::INVALID_PARAMETER;
+        confirmParams.m_status = MacStatus::INVALID_PARAMETER;
         break;
     case macShortAddress:
         m_shortAddress = attribute->macShortAddress;
         break;
     case macExtendedAddress:
-        confirmParams.m_status = LrWpanMacStatus::READ_ONLY;
+        confirmParams.m_status = MacStatus::READ_ONLY;
         break;
     case macPanId:
         m_macPanId = macPanId;
         break;
     default:
         // TODO: Add support for setting other attributes
-        confirmParams.m_status = LrWpanMacStatus::UNSUPPORTED_ATTRIBUTE;
+        confirmParams.m_status = MacStatus::UNSUPPORTED_ATTRIBUTE;
         break;
     }
 
@@ -959,10 +961,10 @@
 }
 
 void
-LrWpanMac::MlmeGetRequest(LrWpanMacPibAttributeIdentifier id)
+LrWpanMac::MlmeGetRequest(MacPibAttributeIdentifier id)
 {
-    LrWpanMacStatus status = LrWpanMacStatus::SUCCESS;
-    Ptr<LrWpanMacPibAttributes> attributes = Create<LrWpanMacPibAttributes>();
+    MacStatus status = MacStatus::SUCCESS;
+    Ptr<MacPibAttributes> attributes = Create<MacPibAttributes>();
 
     switch (id)
     {
@@ -976,7 +978,7 @@
         attributes->macShortAddress = m_shortAddress;
         break;
     case macExtendedAddress:
-        attributes->macExtendedAddress = m_selfExt;
+        attributes->macExtendedAddress = m_macExtendedAddress;
         break;
     case macPanId:
         attributes->macPanId = m_macPanId;
@@ -988,7 +990,7 @@
         attributes->pCurrentPage = m_phy->GetCurrentPage();
         break;
     default:
-        status = LrWpanMacStatus::UNSUPPORTED_ATTRIBUTE;
+        status = MacStatus::UNSUPPORTED_ATTRIBUTE;
         break;
     }
 
@@ -1002,7 +1004,7 @@
 LrWpanMac::SendOneBeacon()
 {
     NS_LOG_FUNCTION(this);
-    NS_ASSERT(m_lrWpanMacState == MAC_IDLE);
+    NS_ASSERT(m_macState == MAC_IDLE);
 
     LrWpanMacHeader macHdr(LrWpanMacHeader::LRWPAN_MAC_BEACON, m_macBsn.GetValue());
     m_macBsn++;
@@ -1221,7 +1223,7 @@
 
     // Mac Header values (Section 5.3.5)
     macHdr.SetSrcAddrMode(LrWpanMacHeader::EXTADDR);
-    macHdr.SetSrcAddrFields(0xffff, m_selfExt);
+    macHdr.SetSrcAddrFields(0xffff, m_macExtendedAddress);
 
     if (m_macCoordShortAddress == Mac16Address("ff:fe"))
     {
@@ -1295,7 +1297,7 @@
     {
         MlmeAssociateConfirmParams confirmParams;
         confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-        confirmParams.m_status = LrWpanMacStatus::NO_DATA;
+        confirmParams.m_status = MacStatus::NO_DATA;
         m_mlmeAssociateConfirmCallback(confirmParams);
     }
 }
@@ -1349,7 +1351,7 @@
             if (!m_mlmeStartConfirmCallback.IsNull())
             {
                 MlmeStartConfirmParams confirmParams;
-                confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                confirmParams.m_status = MacStatus::SUCCESS;
                 m_mlmeStartConfirmCallback(confirmParams);
             }
 
@@ -1403,9 +1405,9 @@
     if (channelFound)
     {
         // Switch to the next channel in the list and restart scan
-        Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+        Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
         pibAttr->phyCurrentChannel = m_channelScanIndex;
-        m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel, pibAttr);
+        m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel, pibAttr);
     }
     else
     {
@@ -1432,12 +1434,12 @@
             {
                 confirmParams.m_panDescList = m_panDescriptorList;
             }
-            confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+            confirmParams.m_status = MacStatus::SUCCESS;
             break;
         case MLMESCAN_ACTIVE:
             if (m_panDescriptorList.empty())
             {
-                confirmParams.m_status = LrWpanMacStatus::NO_BEACON;
+                confirmParams.m_status = MacStatus::NO_BEACON;
             }
             else
             {
@@ -1445,12 +1447,12 @@
                 {
                     confirmParams.m_panDescList = m_panDescriptorList;
                 }
-                confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                confirmParams.m_status = MacStatus::SUCCESS;
             }
             break;
         case MLMESCAN_ORPHAN:
             confirmParams.m_panDescList = {};
-            confirmParams.m_status = LrWpanMacStatus::NO_BEACON;
+            confirmParams.m_status = MacStatus::NO_BEACON;
             confirmParams.m_resultListSize = 0;
             // The device lost track of the coordinator and was unable
             // to locate it, disassociate from the network.
@@ -1498,9 +1500,9 @@
     if (channelFound)
     {
         // switch to the next channel in the list and restart scan
-        Ptr<LrWpanPhyPibAttributes> pibAttr = Create<LrWpanPhyPibAttributes>();
+        Ptr<PhyPibAttributes> pibAttr = Create<PhyPibAttributes>();
         pibAttr->phyCurrentChannel = m_channelScanIndex;
-        m_phy->PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier::phyCurrentChannel, pibAttr);
+        m_phy->PlmeSetAttributeRequest(PhyPibAttributeIdentifier::phyCurrentChannel, pibAttr);
     }
     else
     {
@@ -1514,7 +1516,7 @@
 
         // All channels scanned, report success
         MlmeScanConfirmParams confirmParams;
-        confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+        confirmParams.m_status = MacStatus::SUCCESS;
         confirmParams.m_chPage = m_phy->GetCurrentPage();
         confirmParams.m_scanType = m_scanParams.m_scanType;
         confirmParams.m_energyDetList = m_energyDetectList;
@@ -1689,7 +1691,7 @@
     {
         MlmeSyncLossIndicationParams syncLossParams;
         // syncLossParams.m_logCh =
-        syncLossParams.m_lossReason = LrWpanMacStatus::BEACON_LOSS;
+        syncLossParams.m_lossReason = MacStatus::BEACON_LOSS;
         syncLossParams.m_panId = m_macPanId;
         m_mlmeSyncLossIndicationCallback(syncLossParams);
 
@@ -1716,13 +1718,13 @@
 {
     NS_LOG_FUNCTION(this);
     // Pull a packet from the queue and start sending if we are not already sending.
-    if (m_lrWpanMacState == MAC_IDLE && !m_txQueue.empty() && !m_setMacState.IsRunning())
+    if (m_macState == MAC_IDLE && !m_txQueue.empty() && !m_setMacState.IsPending())
     {
         if (m_csmaCa->IsUnSlottedCsmaCa() || (m_outSuperframeStatus == CAP && m_coor) ||
             m_incSuperframeStatus == CAP)
         {
             // check MAC is not in a IFS
-            if (!m_ifsEvent.IsRunning())
+            if (!m_ifsEvent.IsPending())
             {
                 Ptr<TxQueueElement> txQElement = m_txQueue.front();
                 m_txPkt = txQElement->txQPkt;
@@ -1802,8 +1804,7 @@
 void
 LrWpanMac::PdDataIndication(uint32_t psduLength, Ptr<Packet> p, uint8_t lqi)
 {
-    NS_ASSERT(m_lrWpanMacState == MAC_IDLE || m_lrWpanMacState == MAC_ACK_PENDING ||
-              m_lrWpanMacState == MAC_CSMA);
+    NS_ASSERT(m_macState == MAC_IDLE || m_macState == MAC_ACK_PENDING || m_macState == MAC_CSMA);
     NS_LOG_FUNCTION(this << psduLength << p << (uint16_t)lqi);
 
     bool acceptFrame;
@@ -1942,24 +1943,24 @@
 
             if (acceptFrame && (receivedMacHdr.GetDstAddrMode() == EXT_ADDR))
             {
-                acceptFrame = (receivedMacHdr.GetExtDstAddr() == m_selfExt);
+                acceptFrame = (receivedMacHdr.GetExtDstAddr() == m_macExtendedAddress);
             }
 
-            if (acceptFrame && m_scanEvent.IsRunning())
+            if (acceptFrame && m_scanEvent.IsPending())
             {
                 if (!receivedMacHdr.IsBeacon())
                 {
                     acceptFrame = false;
                 }
             }
-            else if (acceptFrame && m_scanOrphanEvent.IsRunning())
+            else if (acceptFrame && m_scanOrphanEvent.IsPending())
             {
                 if (!receivedMacHdr.IsCommand())
                 {
                     acceptFrame = false;
                 }
             }
-            else if (m_scanEnergyEvent.IsRunning())
+            else if (m_scanEnergyEvent.IsPending())
             {
                 // Reject any frames if energy scan is running
                 acceptFrame = false;
@@ -1984,7 +1985,7 @@
                 // Although ACKs do not use CSMA to to be transmitted, we need to make sure
                 // that the transmitted ACK will not collide with the transmission of a beacon
                 // when beacon-enabled mode is running in the coordinator.
-                if (acceptFrame && (m_csmaCa->IsSlottedCsmaCa() && m_capEvent.IsRunning()))
+                if (acceptFrame && (m_csmaCa->IsSlottedCsmaCa() && m_capEvent.IsPending()))
                 {
                     Time timeLeftInCap = Simulator::GetDelayLeft(m_capEvent);
                     uint64_t ackSymbols = lrwpan::aTurnaroundTime + m_phy->GetPhySHRDuration() +
@@ -2020,12 +2021,12 @@
                     // multicast, with ack req set, generate and send an ack frame. If there is a
                     // CSMA medium access in progress we cancel the medium access for sending the
                     // ACK frame. A new transmission attempt will be started after the ACK was send.
-                    if (m_lrWpanMacState == MAC_ACK_PENDING)
+                    if (m_macState == MAC_ACK_PENDING)
                     {
                         m_ackWaitTimeout.Cancel();
                         PrepareRetransmission();
                     }
-                    else if (m_lrWpanMacState == MAC_CSMA)
+                    else if (m_macState == MAC_CSMA)
                     {
                         // \todo: If we receive a packet while doing CSMA/CA, should  we drop the
                         // packet because of channel busy,
@@ -2122,7 +2123,7 @@
                     panDescriptor.m_timeStamp = m_macBeaconRxTime;
 
                     // Process beacon when device belongs to a PAN (associated device)
-                    if (!m_scanEvent.IsRunning() && m_macPanId == receivedMacHdr.GetDstPanId())
+                    if (!m_scanEvent.IsPending() && m_macPanId == receivedMacHdr.GetDstPanId())
                     {
                         // We need to make sure to cancel any possible ongoing unslotted CSMA/CA
                         // operations when receiving a beacon (e.g. Those taking place at the
@@ -2177,7 +2178,7 @@
                         m_setMacState =
                             Simulator::ScheduleNow(&LrWpanMac::SetLrWpanMacState, this, MAC_IDLE);
                     }
-                    else if (!m_scanEvent.IsRunning() && m_macPanId == 0xFFFF)
+                    else if (!m_scanEvent.IsPending() && m_macPanId == 0xFFFF)
                     {
                         NS_LOG_DEBUG(this << " Device not associated, cannot process beacon");
                     }
@@ -2198,7 +2199,7 @@
                             }
                         }
 
-                        if (m_scanEvent.IsRunning())
+                        if (m_scanEvent.IsPending())
                         {
                             // Channel scanning is taking place, save only unique PAN descriptors
                             bool descriptorExists = false;
@@ -2235,7 +2236,7 @@
                             }
                             return;
                         }
-                        else if (m_trackingEvent.IsRunning())
+                        else if (m_trackingEvent.IsPending())
                         {
                             // check if MLME-SYNC.request was previously issued and running
                             // Sync. is necessary to handle pending messages (indirect
@@ -2317,7 +2318,7 @@
                         }
                         break;
                     case CommandPayloadHeader::COOR_REALIGN:
-                        if (m_scanOrphanEvent.IsRunning())
+                        if (m_scanOrphanEvent.IsPending())
                         {
                             // Coordinator located, no need to keep scanning other channels
                             m_scanOrphanEvent.Cancel();
@@ -2338,7 +2339,7 @@
                                 MlmeScanConfirmParams confirmParams;
                                 confirmParams.m_scanType = m_scanParams.m_scanType;
                                 confirmParams.m_chPage = m_scanParams.m_chPage;
-                                confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                                confirmParams.m_status = MacStatus::SUCCESS;
                                 m_mlmeScanConfirmCallback(confirmParams);
                             }
                             m_scanParams = {};
@@ -2358,7 +2359,7 @@
                     m_mcpsDataIndicationCallback(params, p);
                 }
                 else if (receivedMacHdr.IsAcknowledgment() && m_txPkt &&
-                         m_lrWpanMacState == MAC_ACK_PENDING)
+                         m_macState == MAC_ACK_PENDING)
                 {
                     LrWpanMacHeader peekedMacHdr;
                     m_txPkt->PeekHeader(peekedMacHdr);
@@ -2418,7 +2419,7 @@
                                     commStatusParams.m_srcExtAddr = macHdr.GetExtSrcAddr();
                                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                                     commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
-                                    commStatusParams.m_status = LrWpanMacStatus::SUCCESS;
+                                    commStatusParams.m_status = MacStatus::SUCCESS;
                                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                                 }
                                 // Remove element from Pending Transaction List
@@ -2440,7 +2441,7 @@
                                 if (!m_mlmePollConfirmCallback.IsNull())
                                 {
                                     MlmePollConfirmParams pollConfirmParams;
-                                    pollConfirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                                    pollConfirmParams.m_status = MacStatus::SUCCESS;
                                     m_mlmePollConfirmCallback(pollConfirmParams);
                                 }
                                 break;
@@ -2458,7 +2459,7 @@
                                     commStatusParams.m_srcExtAddr = macHdr.GetExtSrcAddr();
                                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                                     commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
-                                    commStatusParams.m_status = LrWpanMacStatus::SUCCESS;
+                                    commStatusParams.m_status = MacStatus::SUCCESS;
                                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                                 }
                             }
@@ -2476,7 +2477,7 @@
                                 Ptr<TxQueueElement> txQElement = m_txQueue.front();
                                 McpsDataConfirmParams confirmParams;
                                 confirmParams.m_msduHandle = txQElement->txQMsduHandle;
-                                confirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                                confirmParams.m_status = MacStatus::SUCCESS;
                                 m_mcpsDataConfirmCallback(confirmParams);
                             }
                         }
@@ -2527,7 +2528,7 @@
 {
     NS_LOG_FUNCTION(this << static_cast<uint32_t>(seqno));
 
-    NS_ASSERT(m_lrWpanMacState == MAC_IDLE);
+    NS_ASSERT(m_macState == MAC_IDLE);
 
     // Generate a corresponding ACK Frame.
     LrWpanMacHeader macHdr(LrWpanMacHeader::LRWPAN_MAC_ACKNOWLEDGMENT, seqno);
@@ -2565,7 +2566,7 @@
         {
             McpsDataConfirmParams confirmParams;
             confirmParams.m_msduHandle = txQElement->txQMsduHandle;
-            confirmParams.m_status = LrWpanMacStatus::TRANSACTION_OVERFLOW;
+            confirmParams.m_status = MacStatus::TRANSACTION_OVERFLOW;
             m_mcpsDataConfirmCallback(confirmParams);
         }
         NS_LOG_DEBUG("TX Queue with size " << m_txQueue.size() << " is full, dropping packet");
@@ -2680,7 +2681,7 @@
                 {
                     MlmeAssociateConfirmParams confirmParams;
                     confirmParams.m_assocShortAddr = Mac16Address("FF:FF");
-                    confirmParams.m_status = LrWpanMacStatus::NO_ACK;
+                    confirmParams.m_status = MacStatus::NO_ACK;
                     m_mlmeAssociateConfirmCallback(confirmParams);
                 }
                 break;
@@ -2695,7 +2696,7 @@
                     commStatusParams.m_srcExtAddr = macHdr.GetExtSrcAddr();
                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                     commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
-                    commStatusParams.m_status = LrWpanMacStatus::NO_ACK;
+                    commStatusParams.m_status = MacStatus::NO_ACK;
                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                 }
                 RemovePendTxQElement(m_txPkt->Copy());
@@ -2715,7 +2716,7 @@
                 if (!m_mlmePollConfirmCallback.IsNull())
                 {
                     MlmePollConfirmParams pollConfirmParams;
-                    pollConfirmParams.m_status = LrWpanMacStatus::NO_ACK;
+                    pollConfirmParams.m_status = MacStatus::NO_ACK;
                     m_mlmePollConfirmCallback(pollConfirmParams);
                 }
                 break;
@@ -2736,7 +2737,7 @@
             {
                 McpsDataConfirmParams confirmParams;
                 confirmParams.m_msduHandle = txQElement->txQMsduHandle;
-                confirmParams.m_status = LrWpanMacStatus::NO_ACK;
+                confirmParams.m_status = MacStatus::NO_ACK;
                 m_mcpsDataConfirmCallback(confirmParams);
             }
         }
@@ -2812,7 +2813,7 @@
             commStatusParams.m_srcExtAddr = peekedMacHdr.GetExtSrcAddr();
             commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
             commStatusParams.m_dstExtAddr = peekedMacHdr.GetExtDstAddr();
-            commStatusParams.m_status = LrWpanMacStatus::TRANSACTION_OVERFLOW;
+            commStatusParams.m_status = MacStatus::TRANSACTION_OVERFLOW;
             m_mlmeCommStatusIndicationCallback(commStatusParams);
         }
         m_macIndTxDropTrace(p);
@@ -2859,7 +2860,7 @@
                     commStatusParams.m_srcExtAddr = peekedMacHdr.GetExtSrcAddr();
                     commStatusParams.m_dstAddrMode = LrWpanMacHeader::EXTADDR;
                     commStatusParams.m_dstExtAddr = peekedMacHdr.GetExtDstAddr();
-                    commStatusParams.m_status = LrWpanMacStatus::TRANSACTION_EXPIRED;
+                    commStatusParams.m_status = MacStatus::TRANSACTION_EXPIRED;
                     m_mlmeCommStatusIndicationCallback(commStatusParams);
                 }
             }
@@ -2869,7 +2870,7 @@
                 if (!m_mcpsDataConfirmCallback.IsNull())
                 {
                     McpsDataConfirmParams confParams;
-                    confParams.m_status = LrWpanMacStatus::TRANSACTION_EXPIRED;
+                    confParams.m_status = MacStatus::TRANSACTION_EXPIRED;
                     m_mcpsDataConfirmCallback(confParams);
                 }
             }
@@ -2991,9 +2992,9 @@
 }
 
 void
-LrWpanMac::PdDataConfirm(LrWpanPhyEnumeration status)
+LrWpanMac::PdDataConfirm(PhyEnumeration status)
 {
-    NS_ASSERT(m_lrWpanMacState == MAC_SENDING);
+    NS_ASSERT(m_macState == MAC_SENDING);
     NS_LOG_FUNCTION(this << status << m_txQueue.size());
 
     LrWpanMacHeader macHdr;
@@ -3033,7 +3034,7 @@
                     if (!m_mlmeStartConfirmCallback.IsNull())
                     {
                         MlmeStartConfirmParams mlmeConfirmParams;
-                        mlmeConfirmParams.m_status = LrWpanMacStatus::SUCCESS;
+                        mlmeConfirmParams.m_status = MacStatus::SUCCESS;
                         m_mlmeStartConfirmCallback(mlmeConfirmParams);
                     }
                 }
@@ -3083,7 +3084,7 @@
                         commStatusParams.m_dstExtAddr = macHdr.GetExtDstAddr();
                         commStatusParams.m_dstShortAddr = macHdr.GetShortDstAddr();
 
-                        commStatusParams.m_status = LrWpanMacStatus::SUCCESS;
+                        commStatusParams.m_status = MacStatus::SUCCESS;
                         m_mlmeCommStatusIndicationCallback(commStatusParams);
                     }
                 }
